
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《深入解析IPv6（第3版）》——11.4　流量转换 / iVAN</title>

    <meta name="description" content="《深入解析IPv6（第3版）》——11.4　流量转换 11.4 流量转换 Windows中的IPv6支持两类IPv6到IPv4的流量过渡技术. NAT64/ DNS64.PortProxy(端口代理).11.4.1 NAT 64/DNS64NAT64定义在RFC 6146中.当纯IPv6节点发起流量时,NAT64可以在IPv6和IPv4流量之间提供状态化转换.NAT64会从纯IPv6节点中获得IPv6流量,并将其转换给可以发送给IPv4节点的IPv4流量,反之亦然.这种地址转换采取的工作方式类似于传统IPv4网络的地址转换(NAT).如果进一步了解">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《深入解析IPv6（第3版）》——11.4　流量转换</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>11.4　流量转换</h3>
<p>Windows中的IPv6支持两类IPv6到IPv4的流量过渡技术。</p>
<p>NAT64/ DNS64。<br />PortProxy（端口代理）。<br /><strong>11.4.1　NAT 64/DNS64</strong><br />NAT64定义在RFC 6146中。当纯IPv6节点发起流量时，NAT64可以在IPv6和IPv4流量之间提供状态化转换。NAT64会从纯IPv6节点中获得IPv6流量，并将其转换给可以发送给IPv4节点的IPv4流量，反之亦然。这种地址转换采取的工作方式类似于传统IPv4网络的地址转换（NAT）。如果进一步了解IPv4 NAT设备转换的工作方式，请参见本书的第14章。</p>
<p>NAT64的作用通常是让纯IPv6节点能够访问纯IPv4计算机。例如，一台基于Windows Server 2012的DirectAccess服务器可以使用NAT64让DirectAccess客户端（从本质上讲，该客户端就是一台通过DirectAccess连接发送信息的纯IPv6节点）访问内联网中那些只能通过IPv4进行访问的服务器和资源。如需进一步了解相关信息，请参见本书的第18章。</p>
<p>DNS64定义在RFC 6147中，它是一种将纯IPv6地址记录（AAAA）DNS查询消息映射为IPv4地址记录（A）查询消息的方式，因此它能够实现纯IPv6节点和纯IPv4节点之间的通信。当一台纯IPv6节点发送DNS查询消息来查询某个域名的IPv6地址时，DNS64会在这个过程中充当中间设备。它可以将AAAA域名查询变为一个A域名查询和一个AAAA域名查询，并将这两条查询消息发送给一台内联网DNS服务器。如果只收到了A记录，那么它就会将解析出来的IPv4地址表达为IPv6地址，并将它返回给请求方的客户端设备。然后，客户端设备就可以尝试使用这个IPv6地址来发起通信了，而这个通信的过程会由NAT64进行转换。</p>
<p>将NAT64和DNS64结合起来使用，可以让纯IPv6节点向纯IPv4节点发起通信，而无需对纯IPv6节点和纯IPv4节点本身进行任何改变。DNS64会将一个纯IPv4计算机的查询域名映射为一个IPv6地址。NAT64会将去往该IPv6地址的IPv6流量转换为去往一个IPv4地址的IPv4流量。注意，DNS64和NAT64组件必须具有相同的IPv6地址空间转换规则，才能正常工作。不过，它们并没有任何共享状态，而且也可以部署在不同的计算机上。</p>
<p>在Windows Server 2012中，管理员可以使用Windows PowerShell命令中的命令New-NetNatTransitionConfiguration、Set-NetNatTransition Configuration和Remove-NetNatTransit ion Configuration来配置NAT64组件，同样可以使用命令New-NetDnsTransitionConfiguration、 Set-NetDnsTransitionConfiguration和Remove-NetDnsTransitionConfiguration来配置DNS64组件。如需进一步了解相关信息，请参阅本书的第16章。</p>
<p>注释</p>
<p>在默认情况下，NAT64和DNS64不允许纯IPv4节点向纯IPv6 节点发起通信。例如，对于一台运行Windows Server 2012和Windows 8的DirectAccess服务器不允许一台内联网中的纯IPv4计算机（比如一台管理服务器）向DirectAccess客户端发起通信。此外，也不能在DNS64中使用DNSSEC（DNS安全扩展）。<br /><strong>11.4.2　端口代理</strong><br />为了让无法使用普通互联网层协议（IPv4或IPv6）建立连接的节点或应用之间能够进行通信，Windows的IPv6协议提供了“端口代理（PortProxy）”，这个组件可以代理下列流量。</p>
<ul>
<li>IPv4到IPv4：将去往一个IPv4地址的TCP流量代理为另一个IPv4地址的流量。</li>
<li>IPv4到IPv6：将去往一个IPv4地址的TCP流量代理为某个IPv6地址的流量。</li>
<li>IPv6到IPv6：将去往一个IPv6地址的TCP流量代理为另一个IPv6地址的流量。</li>
<li>IPv6到IPv4：将去往一个IPv6地址的TCP流量代理为某个IPv4地址的流量。</li>
</ul>
<p>IPv6最需要且最有用的代理是从IPv4到IPv6和从IPv6到IPv4的代理，它们能实现下述方案。</p>
<ul>
<li>纯IPv4节点可以直接访问纯IPv6节点：在纯IPv4节点的IPv4 DNS架构中，纯IPv6节点的域名会解析为分配给端口代理计算机某个接口的IPv4地址。这可能需要在DNS中手动配置一个A记录。当将端口代理计算机配置为代理IPv4到IPv6时，所有由纯IPv4节点发送的TCP流量都会用一种类似于Internet代理服务器的方式进行代理：纯IPv4节点与端口代理计算机建立一个TCP连接，然后端口代理计算机再与纯IPv6节点建立另一条连接。端口代理计算机在纯IPv4节点和纯IPv6节点之间传输TCP连接数据。</li>
<li>纯IPv6节点可以访问纯IPv4节点：在纯IPv6节点的IPv6 DNS架构中，纯IPv4节点的域名会解析为分配给端口代理计算机某个接口的IPv6地址。这可能需要在DNS中手动配置一个AAAA记录。当端口代理计算机配置为代理IPv6到IPv4时，端口代理则代理会在纯IPv6节点和纯IPv4节点之间（通过转换）发送流量。</li>
<li>IPv6节点可以访问在IPv6/IPv4节点上运行的纯IPv4节点：在纯IPv6节点的IPv6 DNS架构中，IPv6/IPv4节点的域名会解析为分配给端口代理计算机的某个接口的IPv6地址。当端口代理计算机配置为代理IPv6到IPv4时，端口代理会代理在纯IPv6节点和端口代理计算机上运行的纯IPv4服务或程序之间发送的流量。</li>
</ul>
<p>可以用netsh interface portproxy add|set|delete v4tov4|v4tov6|v6tov4|v6tov6命令来配置端口代理组件。</p>
<p>netsh interface portproxy add v6tov4命令的语法如下。</p>
<pre><code>netsh interface portproxy add v6tov4 [listenport=]LPortNumber|LportName [[connectaddress=] IPv4Address|IPv4HostName] [[connectport=]CPortNumber|CPortName] [[listenaddress=]IPv6Address |IPv6HostName]
</code></pre>
<ul>
<li>LPortNumber|LportName是端口代理侦听的TCP端口号或服务的名称。</li>
<li>IPv6Address|IPv6HostName是端口代理侦听的IPv6地址或主机名称（如果未指定，就假定是所有分配给端口代理计算机的IPv6地址）。</li>
<li>CPortNumber|CPortName是端口代理试图连接的TCP端口号或服务名称（如果未指定，就会将连接端口设为侦听端口）。</li>
<li>IPv4Address|IPv4HostName是端口代理试图连接的IPv4地址或主机名称（如果未指定，就假定为loopback地址）。</li>
</ul>
<p>netsh interface portproxy add v4tov6命令的语法如下。</p>
<pre><code>netsh interface portproxy add v4tov6 [listenport=]LPortNumber|LportName [[connectaddress=]IPv6Address |IPv6HostName] [[connectport=]CPortNumber|CPortName] [[listenaddress=]IPv4Address|IPv4HostName]
</code></pre>
<p>LPortNumber|LportName是端口代理侦听的TCP端口号或服务名称。</p>
<ul>
<li>IPv4Address|IPv4HostName是端口代理侦听的IPv4地址或主机名称（如果未指定，就假定是所有分配给端口代理计算机的IPv4地址）。</li>
<li>CPortNumber|CPortName是端口代理试图连接的TCP端口号或服务名称（如果未指定，就会将连接端口设为侦听端口）。</li>
<li>IPv6Address|IPv6HostName是端口代理试图连接的IPv6地址或主机名称（如果未指定，就假定为loopback地址）。</li>
</ul>
<p>注释</p>
<p>端口代理只能用于TCP流量，以及没有在TCP连接数据中内嵌地址或端口信息的应用层协议。与NAT不同，端口代理没有类似NAT编辑器的东西。因此，有些协议无法通过端口代理计算机运行（如FTP），因为该协议在使用FTP端口命令时内嵌了IPv4地址。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-01 02:20:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e5%9f%9f%e5%90%8d/" title="域名">域名</a>, <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/%e4%b8%bb%e6%9c%ba/" title="主机">主机</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/dns/" title="dns">dns</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《深入解析IPv6（第3版）》——11.4　流量转换的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrvXNvM.html" rel="bookmark">《深入解析IPv6（第3版）》&mdash;&mdash;11&period;2　过渡机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				11.2 过渡机制 为了与IPv4设施共存并最终过渡到纯IPv6设施,IPv6过渡标准规定了下列机制: 同时使用IPv4和IPv6: IPv6-over-IPv4隧道: DNS设施: IPv6和IPv4之间的流量转换(请参见本章的&quot;流量转换&quot;部分). 11.2.1 同时使用IPv4和IPv6在路由设施从纯IPv4过渡到IPv6/IPv4并最终过渡到纯IPv6的这个过程中,无论使用IPv4还是使用IPv6节点必须都能够到达目的.例如,在过渡中,某些服务器中的服务在未来可以使用IPv6可达			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQDNVz.html" rel="bookmark">《深入解析IPv6（第3版）》&mdash;&mdash;2&period;2　Windows的IPv6协议特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.2 Windows的IPv6协议特性 Windows中的IPv6协议包含以下特性. 默认已安装.启用,且已选用. 基本IPv6栈支持. IPv6协议栈增强. 通过GUI(图形用户界面)和命令行进行配置. 集成了对IPSec的支持. Windows防火墙支持. 临时地址. 随机接口ID. 域名系统(DNS)支持. 源地址和目的地址选择. ipv6-literal.net域名支持. 链接本地组播域名解析(Link-Local Multicast Name Resolution, LLMNR).			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLgRmZM.html" rel="bookmark">《深入解析IPv6（第3版）》&mdash;&mdash; 导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 由于下列事件,IPv6对于未来因特网和组织内联网的重要性已毋庸置疑. 2011年2月3日,互联网名称与数字地址分配机构(ICANN)加入了数字资源组织(NRO),因特网结构委员会(IAB)和互联网协会(Internet Society).这一天,ICANN宣称,IPv4因特网地址当前已经全部被分配了出去.区域地址分配机构仍然有一些公有IPv4地址空间可以分配给各个组织机构,但是再也没有保留的IPv4地址空间了. 2011年6月8日,Microsoft与因特网协会的其他成员共同参加了世界IP			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPxNerp.html" rel="bookmark">《深入解析IPv6（第3版）》&mdash;&mdash;1&period;4　IPv4和IPv6的对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 IPv4和IPv6的对比 表1-1罗列显示了IPv4和IPv6间的一些主要差异. https://yqfile.alicdn.com/10ef09f92df649a765abf560bd433d6113d9476b.png&quot; &gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmqQ8z.html" rel="bookmark">《设计模式解析（第2版&bull;修订版）》目录&mdash;导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者简介 设计模式解析(第2版•修订版) Alan Shalloway 美国Net Objectives咨询/培训公司的创始人和CEO.他是麻省理工学院的计算机科学硕士,具有30多年面向对象咨询.培训和软件开发的经验,并经常受邀在重要的软件开发会议(包括SD Expro.Java One.OOP和OOPSLA)上演讲. James R. Trott 美国一家大型金融机构的资深顾问.他是应用数学科学硕士.MBA和跨文化研究硕士.在其20年的职业生涯中,他一直将面向对象和基于模式的分析技术运用在知识			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3Yy4Wp.html" rel="bookmark">《设计模式解析（第2版&bull;修订版）》&mdash;第1章 1&period;4节应对变化：使用功能分解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.4 应对变化:使用功能分解设计模式解析(第2版•修订版)用模块化封装变化 更进一步地来看&quot;显示形状&quot;问题.怎样编写代码才能更容易地应付多变的需求呢?与其编写一个大函数,不如使之更加模块化. 例如,在前面提到的步骤4c&quot;以形状的位置作为参数,调用显示形状的函数&quot;中,可以写一个例1-1所示的模块. 例1-1 用模块化封装变化 函数:显示形状输入:形状类型,形状描述操作: switch (形状类型) case 方形:调用显示方形的函数 case 圆形:调用显示圆形的函			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z75lwAM.html" rel="bookmark">《设计模式解析（第2版&bull;修订版）》&mdash;第1章复习题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复习题设计模式解析(第2版•修订版)简答题1．叙述功能分解中使用的基本方法. 2．导致需求变更的三个原因是什么? 3．我提倡用责任而不是功能来思考.这意味着什么呢?请举出一个例子. 4．给出耦合和内聚的定义.什么是紧耦合? 5．对象接口的目的是什么? 6．给出类实例的定义. 7．类是一个对象行为的完整定义.这句话说明了对象的哪三个方面? 8．抽象类的作用是什么? 9．对象可能具有的三种主要可访问性1是什么? 10．给出封装的定义,并举出一个行为封装的例子. 11．给出多态的定义,并举出一个多态的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RPB5p.html" rel="bookmark">实例解析IPv6环境下的网络编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自IPv4诞生至今已有20多年了,目前它虽仍因互联网的成功而风光无限,但是如同&quot;Internet正在成为其自身巨大成功的受害者&quot;一样,目前IPv4地址的极度匮乏注定它将被历史所淘汰.而IPv6-IPv4的继承人,具有地址空间巨大,支持QOS等许多优良特性,在不久的将来会迅速的普及,但IPv6的出现将对目前网络编程方式产生一定的影响. 本文将就IPv6环境下的网络编程方式进行实例解析. 最终效果: 实例解析IPv6环境下的网络编程-配置篇 目前我们所用的IP协议是v4版本的, 比如192			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZW4ap.html" rel="bookmark">《设计模式解析（第2版&bull;修订版）》&mdash;第1章 1&period;6节面向对象范型</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.6 面向对象范型 设计模式解析(第2版•修订版) 使用对象将责任转移到更局部的层次 面向对象范型以对象概念为中心,一切都集中在对象上.编写代码时是围绕对象而非函数进行组织的. 对象是什么?对象传统上被定义为带有方法(面向对象领域称呼函数的术语)的数据.糟糕的是,这是一种非常有局限性的对象观.稍后我会给出一个更好的对象定义(在第8章中还会谈到).我说到对象的数据时,可能指数值和字符串这样的简单事物,也可能指其他对象. 使用对象的优点在于,可以定义自己负责自己的事物(参见表1-2).对象天生就知			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo703b.html" rel="bookmark" class="title">编译mysql提示错误：configure&colon; error&colon; No curses&sol;termcap library found 解决方法</a>
					<div>
						文章来源:   在编译Mysql时 ./configure –prefix=DIR 如果出现了以下错误: -- checking for tgetent in -ltermcap- no checki ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAwDAz.html" rel="bookmark" class="title">做网站&comma;赚钱才是硬道理&excl;</a>
					<div>
						赚钱 互联网就是个工具,就看你如何去利用,我发现大部分站长都不了解互联网的真正用途,每天很累也不开心,只关注排名,流量,但是都没有形成稳定的现金流!这是最大的悲哀!! 大家好,我也是站长网的常客,看了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQw9Gp.html" rel="bookmark" class="title">Photoshop给秋季外景美女加上唯美的淡褐色</a>
					<div>
						素材图片主色为较暗的黄绿色,调色的时候可以分步把黄色转为较淡的橙黄色,绿色转为红褐色,然后把暗部颜色调淡,主色调柔美即可. 原图 最终效果					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQeaob.html" rel="bookmark" class="title">百度内测新搜索布局与实时搜索</a>
					<div>
						  TechIPO独家消息,百度正在测试新的搜索结果页,左侧增加了对搜索结果进行筛选的筛选项,其中包括&quot;新闻&quot;.&quot;论坛&quot;.&quot;博客&quot;.&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPPxrz.html" rel="bookmark" class="title">ASP&period;NET MVC如何向浏览器发送文件以提供文件下载功能</a>
					<div>
						文件下载一般都是需要一个文件选择对话框来选择存放文件的地方.我们可以自己做一个, 但简单的方面就是利用浏览器的现成功能. 所有的浏览器都包括文件下载功能,但文件选择对话框却 不是每个浏览器都有提供.这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKVB3M.html" rel="bookmark" class="title">卫星宽带平台三方案</a>
					<div>
						1.远程教育解决方案 随着信息技术和Internet的不断发展,以及网民数量的不断增加,使得Internet接入的带宽瓶颈越来越大,所以,目前很多网校采用的以电话拨号接入Internet进行远程教育的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBxjAb.html" rel="bookmark" class="title">C&num;的new操作符</a>
					<div>
						new操作符用于创建一个新的类型实例.它有三种形式: ●对象创建表达式,用于创建一个类类型或值类型的实例. ●数组创建表达式,用于创建一个数组类型实例. ●代表创建表达式,用于创建一个新的代表类型实例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7d90M.html" rel="bookmark" class="title">Mysql数据库向Oracle转换应注意的问题</a>
					<div>
						有很多应用项目, 刚起步的时候用MYSQL数据库基本上能实现各种功能需求,随着应用用户的增多,数据量的增加,MYSQL渐渐地出现不堪重负的情况:连接很慢甚至宕机,于是就有把数据从MYSQL迁到 ORA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RXW5p.html" rel="bookmark" class="title">Java理论与实践&colon; JVM 1&period;4&period;1中的垃圾收集</a>
					<div>
						上个月,我们分析了引用计数.复制.标记-清除和标记-整理这些经典的垃 圾收集技术.其中每一种方法在特定条件下都有其优点和缺点.例如,当有很多 对象成为垃圾时,复制可以做得很好,但是有许多长寿对象时它就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y5akz.html" rel="bookmark" class="title">Linux下操作邮件的一些基础命令</a>
					<div>
						  系统提供了用户之间通信的邮件系统,当用户打开终端注册登录时发现系统给出如下信息: 代码如下: you have mail. 这时用户可通过键入mail命令读取信件: 代码如下: $ mail ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6Rv2b.html" rel="bookmark" class="title">Office2003关闭启动文件夹加载项</a>
					<div>
						当您启动 Word 时,Word 将自动加载模板和加载项位于启动文件夹中.在 Word 中的问题可能是冲突或问题造成的与外接程序.要确定问题是否由 startup 文件夹中的项目引起,请暂时关闭指向这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1laWxb.html" rel="bookmark" class="title">hbase源码系列（三）Client如何找到正确的Region Server</a>
					<div>
						客户端在进行put.delete.get等操作的时候,它都需要数据到底存在哪个Region Server上面,这个定位的操作是通过HConnection.locateRegion方法来完成的. loc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6O0nM.html" rel="bookmark" class="title">mfc-MFC中 ComboBox 添加items出现问题</a>
					<div>
						问题描述 MFC中 ComboBox 添加items出现问题 在代码里增加了item 但是在Selchange的响应中UpdateData的话所有的item就会再创建一遍.是不是我的代码放错地方了啊? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PXXBp.html" rel="bookmark" class="title">搜索-如何从数据库一个表链接到另一个表</a>
					<div>
						问题描述 如何从数据库一个表链接到另一个表 5C 自己弄了一个搜索,一个表包含所有的用户名称,每一个用户各占一个表,如何才能链接到那个用户的表,输出他的信息呢?求给一个思路,谢谢各位. 解决方案 一张 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBw0GM.html" rel="bookmark" class="title">大数据行业2016的变与不变</a>
					<div>
						据&lt;中国科学报&gt;报道,&quot;这两年大数据的风头明显盖过了云计算,这不是好事.&quot;近日,华为IT产品线大数据解决方案规划总监徐兴海在2015中国大数据技术大会上如是说.他认为, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlogep.html" rel="bookmark" class="title">域名到期删除周期指的是什么&quest;</a>
					<div>
						域名每天删除准确日期跟每天删除列表 域名每天http://www.aliyun.com/zixun/aggregation/17197.html&quot;&gt;北京时间03点-03:30 每天删除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLga5AM.html" rel="bookmark" class="title">给你们的一封信「社区运营入门系列序」</a>
					<div>
						What are the most important relationships for me?my final answer is: my team. --As a team leader, my ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xYdqb.html" rel="bookmark" class="title">centos6 5 64位-centos6&period;5 64位上gdb调试无法使用了</a>
					<div>
						问题描述 centos6.5 64位上gdb调试无法使用了 centos6.5 64位系统,突然gdb调试没办法是用了,使用gdb program_name时,打印如下信息: Could not fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwvjmM.html" rel="bookmark" class="title">PostgreSQL 9&period;3 beta2 stream replication primary standby switchover bug&quest;</a>
					<div>
						[更新] 已有patch. 请参见. PostgreSQL 9.1,9.2,9.3 clean switchover Primary and Standby Patch.  http://blog.1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJk68p.html" rel="bookmark" class="title">软件工程中的图情结</a>
					<div>
						      我们通常都是对图形化的东西情有独钟,我们小时候的启蒙教育基本上也都是从图形化开始的,我们曾经看过的连环画.漫画.看图识字等等.因为图形能将一个抽象的东西具体化.形象化,图形化的表述能将一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK01Lp.html" rel="bookmark" class="title">ORA-01555错误详解</a>
					<div>
						ORA-01555错误详解   ORA-01555(快照过旧)问题让很多人感到十分头痛.最近我们的生产系统上也报出了ORA-01555错误.就结合这次案例将ORA-1555问题作个案例分析,并浅析产生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW729qM.html" rel="bookmark" class="title">Javscript secTable&period;cells is undefined在Firefox和Chrome浏览器中无法显示</a>
					<div>
						问题描述 原码如下:&lt;scriptlanguage=&quot;JavaScript&quot;&gt;functionsecBoard(n,url){for(i=0;i&lt;secTable ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GLoNp.html" rel="bookmark" class="title">js如何获取object类型里的键值&lowbar;javascript技巧</a>
					<div>
						最近遇到一个问题: 复制代码 代码如下: var obj = {&quot;name1&quot;:&quot;张三&quot;,&quot;name2&quot;:&quot;李四&quot;};  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QORZM.html" rel="bookmark" class="title">通过MapReduce统计每个单子在每个文件中出现的次数（FileSplit的使用），单词作为key，所在文本和次数作为value进行统计</a>
					<div>
						代码如下: package cn.toto.bigdata.mr.index; import java.io.IOException; import org.apache.hadoop.conf.Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK25Wz.html" rel="bookmark" class="title">揭秘&amp;quot&semi;防出轨软件&amp;quot&semi; 黑市卖到上万 安装容易卸载难</a>
					<div>
						    一个小小的&quot;黑科技&quot;软件,就可以让一个人毫无秘密可言. 有人用它来捉渣男.逮小三,称它为&quot;防出轨&quot;软件;有人则将它用于商业竞争之中.如果有人在你的手机上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVWoBz.html" rel="bookmark" class="title">SharePoint 2013 工作流之年假审批Designer配置篇</a>
					<div>
						原文:SharePoint 2013 工作流之年假审批Designer配置篇 本文介绍SharePoint 2013 使用Designer工具,设计年假审批工作流,由于流程所用的条件和操作都比较简单, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdB5ep.html" rel="bookmark" class="title">无须装软件&colon;随时随地玩Web版Gtalk</a>
					<div>
						很多朋友都在玩Google推出的Google Talk(简称Gtalk)软件,用它来与朋友http://www.aliyun.com/zixun/aggregation/12498.html&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Y4djb.html" rel="bookmark" class="title">世界杯成Beats耳机免费广告遭封杀</a>
					<div>
						2014年巴西世界杯在巴西举办,不少商家也希望借世界杯的东风来推销自己的产品,国际足联(FIFA)与索尼签订了授权协议,索尼耳机以外的耳机产品不得出现在正式比赛的直播或转播电视画面中.不过对于索尼来说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdAeQb.html" rel="bookmark" class="title">净网2014，带给视频秀场多大冲击</a>
					<div>
						文/卞海峰 近日有媒体报道称&quot;净网行动2014,下一波整治重点将会是视频秀场行业,其中9158和YY可能成为重点关注企业&quot;.对此,9158母公司天鸽集团.YY分别公开发表声明予以否 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8gEO3M.html" rel="bookmark" class="title">Java设计模式--访问者模式</a>
					<div>
						访问者模式(别名:虚拟构造) 表示一个作用于某对象结构中的各个元素的操作.它可以在不改变各个元素的类的前提下定义作用于这些元素的新操作. Visitor Pattern Represent an op ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
